Personal tools
You are here: Home GNU / Linux Ubuntu Dapper Drake Développement et serveurs Dernière version de Zope 2.9 sur Ubuntu Dapper Drake
Document Actions
  • Send this page to somebody
  • Print this page
  • Add Bookmarklet

Dernière version de Zope 2.9 sur Ubuntu Dapper Drake

by Pierre-Yves Landuré last modified 2007-09-05 16:01

La version de Zope disponible dans les dépôt Dapper est la 2.9.2. Cet article vous propose d'installer Zope 2.9.8 depuis mes dépôts.

Rapide et incompréhensible

Si vous êtes pressé, les lignes de commande suivantes résume l'ensemble de cet article. Commencez par initialiser votre environnement sudo :

sudo echo

et copiez / collez les commandes suivantes dans votre terminal.

echo "# Zope 2.9 pour Ubuntu Dapper Drake
deb http://falcon.landure.fr dapper zope2.9
deb-src http://falcon.landure.fr dapper zope2.9" | \
sudo tee /etc/apt/sources.list.d/dapper-landure-zope2.9.list
wget http://falcon.landure.fr/9FA7DC39.gpg -O- | sudo apt-key add -
sudo apt-get update
sudo apt-get -y install zope2.9

Installation

Si vous ne souhaitez pas vous embêter à compiler le module, j'ai mis en ligne un dépôt le contenant. Dans le cas contraire, passez à la section suivante de cet article.

Dans un premier temps, ajouter ce dépôts à votre configuration apt. Pour ce faire, exécutez les lignes suivantes :

echo "# Zope 2.9 pour Ubuntu Dapper Drake
deb http://falcon.landure.fr dapper zope2.9
deb-src http://falcon.landure.fr dapper zope2.9" | \
sudo tee /etc/apt/sources.list.d/dapper-landure-zope2.9.list

Téléchargez la clef signant ces dépôts :

wget http://falcon.landure.fr/9FA7DC39.gpg -O- | sudo apt-key add -

Mettez à jour la liste des paquets disponibles

sudo apt-get update

Et installez le paquet de Zope 2.9.8 :

sudo apt-get install zope2.9

Migration des instances existantes

Si une ou plusieurs de vos instances ne démarre pas suite à cette migration, exécutez la commande suivante :

sed -i -e 's/"\/usr\/lib\/zope2.9\/lib\/python"/"\/usr\/lib\/zope2.9\/lib\/python2.4\/site-packages"/g' /var/lib/zope2.9/instance/*/bin/*

Après ceci, vous devriez pouvoir redémarrer vos instances sans problème. Ce problème est causé par un changement dans l'arborescence du paquet (oui, je sais, ce n'est pas très propre, mais ...).

Remerciements

  • Merci aux développeurs de Zope pour leur travail.
BlogBang
Navigation
 

Powered by Plone CMS, the Open Source Content Management System

This site conforms to the following standards:

Wikio